Page MenuHomePhabricator

Vagrantize Sentry
Closed, ResolvedPublic0 Story Points

Description

Create a MW-Vagrant role for Sentry + Extension:Sentry.

Related Objects

StatusAssignedTask
OpenTgr
ResolvedTgr
ResolvedGilles
OpenNone
OpenNone
OpenTgr
OpenTgr
ResolvedTgr
OpenNone
ResolvedTgr
DeclinedTgr
DeclinedTgr
StalledTgr
ResolvedTgr
StalledTgr
ResolvedTgr
OpenTgr
ResolvedKrinkle
DeclinedNone
OpenTgr
ResolvedTgr
OpenTgr
OpenNone
InvalidNone
StalledTgr
ResolvedTgr
OpenNone
Resolvedjcrespo
ResolvedTgr
OpenNone
ResolvedTgr
ResolvedTgr

Event Timeline

Tgr created this task.Dec 19 2014, 12:57 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Normal.
Tgr claimed this task.
Tgr added a project: Multimedia.
Tgr changed Security from none to None.
Tgr added subscribers: Aklapper, Tgr, He7d3r and 6 others.
Gilles moved this task from Untriaged to Prototyping on the Multimedia board.Dec 19 2014, 10:07 AM
Tgr updated the task description. (Show Details)Dec 19 2014, 11:43 PM
Tgr moved this task from Prototyping to Next up on the Multimedia board.Dec 21 2014, 4:26 PM

Change 181606 had a related patch set uploaded (by Gergő Tisza):
[WIP] Add Vagrant role for Sentry (server MW extension)

https://gerrit.wikimedia.org/r/181606

Patch-For-Review

Change 181779 had a related patch set uploaded (by Gergő Tisza):
Rename $wgSentryEndpoint to $wgSentryDsn to better match the docs

https://gerrit.wikimedia.org/r/181779

Patch-For-Review

Tgr moved this task from Next up to Needs code review on the Multimedia board.Dec 25 2014, 6:23 AM

Change 181779 merged by jenkins-bot:
Rename $wgSentryEndpoint to $wgSentryDsn to better match the docs

https://gerrit.wikimedia.org/r/181779

Change 181606 merged by Dduvall:
Add Vagrant role for Sentry (server MW extension)

https://gerrit.wikimedia.org/r/181606

dduvall moved this task from Backlog to Done on the MediaWiki-Vagrant board.Jan 9 2015, 8:32 PM
Gilles moved this task from Ready for testing to Doing on the Multimedia board.Jan 14 2015, 4:17 PM
Gilles closed this task as Resolved.
Tgr reopened this task as Open.Feb 2 2015, 10:49 PM
Tgr added a subscriber: dduvall.

I am running into various permissions-related trouble, e.g. ImproperlyConfigured: Could not write to directory: /vagrant/logs/sentry.mail.log.
Vagrant does not seem to play nice with the concept of separate user/group per application.
@dduvall, which direction would you prefer, making sentry use www-data or making directory settings more permissive?

MarkTraceur moved this task from Doing to Next up on the Multimedia board.Feb 6 2015, 9:32 PM

Change 189184 had a related patch set uploaded (by Gergő Tisza):
Remove system user/group options from Sentry role

https://gerrit.wikimedia.org/r/189184

Patch-For-Review

Change 189184 abandoned by Gergő Tisza:
Remove system user/group options from Sentry role

https://gerrit.wikimedia.org/r/189184

Tgr edited a custom field.
Tgr edited a custom field.Feb 18 2015, 1:11 AM
bd808 added a subscriber: bd808.Feb 18 2015, 1:13 AM
In T84957#1009925, @Tgr wrote:

I am running into various permissions-related trouble, e.g. ImproperlyConfigured: Could not write to directory: /vagrant/logs/sentry.mail.log.
Vagrant does not seem to play nice with the concept of separate user/group per application.
@dduvall, which direction would you prefer, making sentry use www-data or making directory settings more permissive?

I would make it all run as www-data personally. This is an unprivileged system user allocated for Apache but is more generally used in the WMF cluster as the user that runs MediaWiki code. Granular control of file permissions in Vagrant for host mounted directories are fragile. Almost ever time we try to change them we break something.

If all that's left is switching to www-data, I think it should be a new dedicated task and this one should be closed. There's a vagrant role for sentry now, everything from this point on is specific improvements/bugfixes.

Tgr closed this task as Resolved.Feb 25 2015, 8:04 PM

Moved to T90773.